
From: Geert Uytterhoeven <geert@linux-m68k.org>

On Fri, 22 Aug 2003, Linus Torvalds wrote:
> Bartlomiej Zolnierkiewicz:
>   o ide: disk geometry/capacity cleanups
>   o ide: always store disk capacity in u64

You forgot to update the Macintosh IDE driver:



 drivers/ide/legacy/macide.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/legacy/macide.c~mac-ide-fix drivers/ide/legacy/macide.c
--- 25/drivers/ide/legacy/macide.c~mac-ide-fix	2003-08-24 12:02:59.000000000 -0700
+++ 25-akpm/drivers/ide/legacy/macide.c	2003-08-24 12:02:59.000000000 -0700
@@ -126,7 +126,7 @@ void macide_init(void)
 			/* probing the drive which freezes a 190.	*/
 
 			ide_drive_t *drive = &ide_hwifs[index].drives[0];
-        		drive->capacity = drive->cyl*drive->head*drive->sect;
+			drive->capacity64 = drive->cyl*drive->head*drive->sect;
 
 #ifdef CONFIG_BLK_DEV_MAC_MEDIABAY
 			request_irq(IRQ_BABOON_2, macide_mediabay_interrupt,

_
